<!DOCTYPE html>
<html>
<body>

<h2>Surprise!</h2>

<h1 id="demo"></h1>

<script>

    // Kannst du vorerst ignorieren
    async function sleep(ms) {
        // return new Promise(resolve => setTimeout(resolve, ms));
        return new Promise(function(myResolve, myReject){setTimeout(myResolve, ms)})
    }
    
    async function display(value) {
        document.getElementById("demo").innerHTML = value;
    }

    async function workerFunction() { 
        sleep(3000);
        display("Hello from worker!");
    }

    // was muss getan werden, um "waiting..." anzuzeigen bis 
    // das Ergebnis von workerFunction() angezeigt wird?
    // workerFunction() soll aber weiterhin als Erstes aufgerufen werden
    async function view() {

        await workerFunction();
        
        display("waiting..."); 
        
    }

    view();

</script>

</body>
</html>